Bug 5336 - Maps not available when there is no connectivity
: Maps not available when there is no connectivity
Status: RESOLVED WONTFIX
Product: Map
General
: 5.0/(1.2009.41-10)
: All Maemo
: Low enhancement with 23 votes (vote)
: ---
Assigned To: unassigned
: map-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-10-12 17:23 UTC by luarvique
Modified: 2012-03-24 11:46 UTC (History)
7 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description luarvique (reporter) 2009-10-12 17:23:53 UTC
SOFTWARE VERSION:
1.2009.41-10

STEPS TO REPRODUCE THE PROBLEM:
Go into an area without network connectivity (i.e. while in the other country
or in the countryside). Try using maps.

EXPECTED OUTCOME:
There should be a way for the users to download relevant maps in advance. Maps
of the area will then show up, even without connectivity.

ACTUAL OUTCOME:
No connectivity means no maps. The ability to download maps is not documented.

REPRODUCIBILITY:
always
Comment 1 Andre Klapper maemo.org 2009-10-12 21:47:27 UTC
This is simply not supported - the N900 is thought of as an Always-On device,
hence changing to enhancement.
Comment 2 luarvique (reporter) 2009-10-12 22:07:26 UTC
(In reply to comment #1)
> This is simply not supported - the N900 is thought of as an Always-On device,
> hence changing to enhancement.
There is no such thing as an "always on device". It is only on as long as there
is a signal. So, I do strongly suggest you reconsider and mark it as a bug.
Comment 3 luarvique (reporter) 2009-10-13 11:06:00 UTC
Restating the problem to make it clear that it is a bug:

In the areas with no network connectivity (i.e. either no cellular service or
incompatible cellular service, when hiking or going abroad), the Maps
application becomes useless, as it cannot download the map data. Please,
provide a way to download the map sets for offline use.
Comment 4 luarvique (reporter) 2009-10-13 11:50:42 UTC
Additional note:
Symbian/S60 version of Nokia Maps allows offline downloading of map sets
through Map Downloader PC application.
Comment 5 Andre Klapper maemo.org 2009-10-13 12:19:19 UTC
It is a bug that Maps Application fails to display preloaded maps when in
offline mode (int-136813).

Having $map_of_a_country available without ever having used it before is not
supported and not planned to be supported as far a I know.
Note that there is a hackish workaround at
http://handphone-solution.blogspot.com/2009/07/direct-download-for-ovi-maps-30-without.html
. No idea if that works on an N900 though.
Comment 6 Andrew Flegg maemo.org 2009-10-13 12:24:18 UTC
The solution described in that blog post does work on an N900 (I tested it at
Amsterdam). Maemo-specific instructions for doing it either on an N900
directly, or an N900 connected over USB:

http://www.maemopeople.org/index.php/jaffa/2009/10/13/downloading_ovi_maps_without_a_network_c
Comment 7 luarvique (reporter) 2009-10-13 12:50:18 UTC
(In reply to comment #6)
> The solution described in that blog post does work on an N900 (I tested it at
> Amsterdam). Maemo-specific instructions for doing it either on an N900
> directly, or an N900 connected over USB:
The only thing left is talking some Python guy into wrapping this into a tiny
Map Loader program for N900 and for a PC with N900 connected. =)
Comment 8 Andre Klapper maemo.org 2009-10-15 14:16:04 UTC
Comment in internal Bugzilla (int-136813) is 
"For map downloading you can use Map Loader."
So I assume that this is WONTFIX.
Comment 9 Lucas Maneos 2009-10-30 11:50:19 UTC
(In reply to comment #8)
> Comment in internal Bugzilla (int-136813) is 
> "For map downloading you can use Map Loader."

Any pointers on where to obtain that?  FWIW I installed the "EUROPE (entire
continent)" maps using the instructions pointed to by comment 6, but still see
"Downloading data" all the time when panning around the map.
Comment 10 Kasper Souren 2009-11-02 23:31:39 UTC
(In reply to comment #9)
> Any pointers on where to obtain that?  FWIW I installed the "EUROPE (entire
> continent)" maps using the instructions pointed to by comment 6, but still see
> "Downloading data" all the time when panning around the map.

In my case I suspect the connection is requested for network positioning or to
search places (which is a bit annoying, being used to the N810 map
application).
Comment 11 Jeremy Gillespie 2010-01-02 02:28:16 UTC
In Symbian the maps could be loaded onto the device, this should also be
available in this version of OVI maps as a (good) network connection cannot
always be guaranteed - that was one of the major advantages of OVI maps.  

This also goes for the search ability, searching maps is very slow and is
dependent on being online.
Comment 12 Andre Klapper maemo.org 2012-03-24 11:46:50 UTC
The Maemo 5 User Interface and Maemo 5 platform components (e.g. libraries)
used for the N900 are considered stable by Nokia and it seems that there are no
plans for official updates currently, hence nobody plans to work on this
enhancement/wishlist request. 
(And in case you feel like discussing this situation: Nokia Customer Care or
http://talk.maemo.org would be the place to do so as you will not reach Nokia
officials in this community bugtracker - though all of this is really no news.)

Reflecting this status by setting RESOLVED WONTFIX for this
enhancement/wishlist request (see
https://bugs.maemo.org/page.cgi?id=fields.html#status for status explanations).

There is a small chance for issues in those Maemo components that are open
source: Contributed patches could be included and made available in the Maemo 5
Community CSSU updates. 
The Maemo CSSU project is run by a small team of volunteers; see
http://wiki.maemo.org/CSSU for more information.
So in case that you can provide a patch that fixes the reported problem, please
feel encouraged to file a request under
https://bugs.maemo.org/enter_bug.cgi?product=Maemo%205%20Community%20SSU .
Please note: The Maemo CSSU project is not related in any way to Nokia.


( Tag for mass-deleting bugmail: [cleanup20120324] )